#ifndef TRACKERGREP_RESULTITEM_H
#define TRACKERGREP_RESULTITEM_H

// ***************************************************************************
// System Includes
// ***************************************************************************

#include <be/interface/ListItem.h>
#include <be/storage/Entry.h>

// ***************************************************************************
// Project Includes
// ***************************************************************************

// Standard type and constant definitions.
#include "StyleGuideDefs.h"

// ***************************************************************************
// External Name Declarations
// ***************************************************************************

// ***************************************************************************
// Constant Definitions
// ***************************************************************************

// ***************************************************************************
// Type Definitions
// ***************************************************************************

// ***************************************************************************
// Class Definition
// ***************************************************************************

/** 
 * The ResultItem class is a BStringItem that is linked to an entry_ref.
 */
class ResultItem : public BStringItem
{
public:
	// Constant Definitions ==================================================

	// Type Definitions ======================================================

	// Attribute Definitions =================================================

	// Member Function Definitions ===========================================

	/** Constructor. */
	ResultItem(entry_ref *ref);

	/** Automatically generated copy constructor. */
	// ResultItem(const ResultItem& old);

	/** Automatically generated destructor. */
	// virtual ~ResultItem(void);

	/** Automatically generated assignment operator. */
	// ResultItem& operator=(ResultItem& right);

	/** Returns a pointer to this result's entry_ref. */
	entry_ref* GetRef(void);

protected:
	// Constant Definitions ==================================================

	// Type Definitions ======================================================

	// Attribute Definitions =================================================

	// Member Function Definitions ===========================================

private:
	// Constant Definitions ==================================================

	// Type Definitions ======================================================

	// Attribute Definitions =================================================

	/** This result's entry_ref. */
	entry_ref ref;

	// Member Function Definitions ===========================================
};

// ***************************************************************************
// Global Variable Declarations
// ***************************************************************************

// ***************************************************************************
// Inline Function Definitions
// ***************************************************************************

// ***************************************************************************
// Helper Function Declarations
// ***************************************************************************

// ***************************************************************************
// Global Function Declarations
// ***************************************************************************

#endif // TRACKERGREP_RESULTITEM_H
